
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java 多态性详解及常见面试题_java / iVAN</title>

    <meta name="description" content="java 多态性详解及常见面试题_java java多态性 多态分两种: (1)   编译时多态(设计时多态):方法重载. (2)   运行时多态:JAVA运行时系统根据调用该方法的实例的类型来决定选择调用哪个方法则被称为运行时多态.(我们平时说得多的事运行时多态,所以多态主要也是指运行时多态) 运行时多态存在的三个必要条件: 一.要有继承(包括接口的实现): 二.要有重写: 三.父类引用指向子类对象. 多态的好处: 1.可替换性(substitutability).多态对已存在代码具有可替换性.例如,多态对圆Circle类工作,对其他任">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java 多态性详解及常见面试题_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>java多态性</strong></p>
<p>多态分两种：</p>
<p>(1)   编译时多态（设计时多态）：方法重载。</p>
<p>(2)   运行时多态：JAVA运行时系统根据调用该方法的实例的类型来决定选择调用哪个方法则被称为运行时多态。（我们平时说得多的事运行时多态，所以多态主要也是指运行时多态）</p>
<p>运行时多态存在的三个必要条件：</p>
<p>一、要有继承（包括接口的实现）； <br />
二、要有重写； <br />
三、父类引用指向子类对象。</p>
<p><strong>多态的好处：</strong></p>
<p>1.可替换性（substitutability）。多态对已存在代码具有可替换性。例如，多态对圆Circle类工作，对其他任何圆形几何体，如圆环，也同样工作。</p>
<p>2.可扩充性（extensibility）。多态对代码具有可扩充性。增加新的子类不影响已存在类的多态性、继承性，以及其他特性的运行和操作。实际上新加子类更容易获得多态功能。例如，在实现了圆锥、半圆锥以及半球体的多态基础上，很容易增添球体类的多态性。</p>
<p>3.接口性（interface-ability）。多态是超类通过方法签名，向子类提供了一个共同接口，由子类来完善或者覆盖它而实现的。如图8.3 所示。图中超类Shape规定了两个实现多态的接口方法，computeArea()以及computeVolume()。子类，如Circle和Sphere为了实现多态，完善或者覆盖这两个接口方法。</p>
<p>4.灵活性（flexibility）。它在应用中体现了灵活多样的操作，提高了使用效率。</p>
<p>5.简化性（simplicity）。多态简化对应用软件的代码编写和修改过程，尤其在处理大量对象的运算和操作时，这个特点尤为突出和重要。</p>
<p>注意：优先级从高到低：this.show(O)、super.show(O)、this.show((super)O)、super.show((super)O)。</p>
<p><strong>相关面试题：</strong></p>
<pre>
class A {
     public String show(D obj)...{
        return ("A and D");
     }
     public String show(A obj)...{
        return ("A and A");
     }
}
class B extends A{
     public String show(B obj)...{
        return ("B and B");
     }
     public String show(A obj)...{
        return ("B and A");
     }
}
class C extends B...{}
class D extends B...{}
</pre>
<p><strong> （二）问题：以下输出结果是什么？</strong></p>
<p>        A a1 = new A(); <br />
        A a2 = new B(); <br />
        B b = new B(); <br />
        C c = new C(); <br />
        D d = new D(); <br />
        System.out.println(a1.show(b));   ① <br />
        System.out.println(a1.show(c));   ② <br />
        System.out.println(a1.show(d));   ③ <br />
        System.out.println(a2.show(b));   ④ <br />
        System.out.println(a2.show(c));   ⑤ <br />
        System.out.println(a2.show(d));   ⑥ <br />
        System.out.println(b.show(b));     ⑦ <br />
        System.out.println(b.show(c));     ⑧ <br />
        System.out.println(b.show(d));     ⑨ </p>
<p><strong>（三）答案</strong></p>
<p>              ①   A and A <br />
              ②   A and A <br />
              ③   A and D <br />
              ④   B and A <br />
              ⑤   B and A <br />
              ⑥   A and D <br />
              ⑦   B and B <br />
              ⑧   B and B <br />
              ⑨   A and D</p>
<p>分析：</p>
<p>做这种题的话要时时刻刻使用那个优先级顺序：</p>
<p>对于第一题：</p>
<p>a1是A类的一个实例化对象，所以this指向A，然后查找this.show(b),由于没有这个方法，所以到super.show（b），但是由于A类没有超类了，所以到this.show(super b),由于b的超类是A，所以相当于this.show(A),然后在A类中查找到了这个方法，于是输出A and A。</p>
<p>对于第二题：</p>
<p>同样，a1是A类的实例化对象，所以this指向A，然后在A类中查找this.show（C）方法，由于没有这个方法，所以到了super.show(C),由于A类的超类里面找，但是A没有超类，所以到了this.show(super C)，由于C的超类是B所以在A类里面查找this.show(B)方法，也没找到，然后B也有超类，就是A，所以查找this.show(A),找到了，于是输出A and A；</p>
<p>对于第三题：</p>
<p>同样，a1是A类的实例化对象，所以this指向A，然后在A类中找到this.show(D)方法，找到了，所以就输出A and D；</p>
<p>对于第四题：</p>
<p>a2是B类的引用对象，类型为A，所以this指向A类，然后在A类里面找this.show(B)方法，没有找到，所以到了super.show(B),由于A类没有超类，所以到了this.show（super B），B的超类是A，即super B = A，所以执行方法this。show（A），在A方法里面找show（A），找到了，但是由于a2是一个类B的引用对象，而B类里面覆盖了A类的show（A）方法，所以最终执行的是B类里面的show（A）方法，即输出B and A；</p>
<p>对于第五题：</p>
<p>a2是B类的引用对象，类型为A，所以this指向A类，然后在A类里面找this.show(C)方法，没有找到，所以到了super.show（C）方法，由于A类没有超类，所以到了this.show(super C),C的超类是B，所以在A类里面找show（B），同样没有找到，发现B还有超类，即A，所以还继续在A类里面找show（A）方法，找到了，但是由于a2是一个类B的引用对象，而B类里面覆盖了A类的show（A）方法，所以最终执行的是B类里面的show（A）方法，即输出B and A；</p>
<p>对于第六题：</p>
<p>a2是B类的引用对象，类型为A，所以this指向A类，然后在A类里面找this.show(D)方法，找到了，但是由于a2是一个类B的引用对象，所以在B类里面查找有没有覆盖show（D）方法，没有，所以执行的是A类里面的show（D）方法，即输出A and D；</p>
<p>对于第七题：</p>
<p>b是B类的一个实例化对象，首相执行this.show(B)，在B类里面找show（B）方法，找到了，直接输出B and B；</p>
<p>对于第八题：</p>
<p>b是B类的一个实例化对象，首相执行this.show(C)，在B类里面找show（C）方法，没有找到，所以到了super.show(c),B的超类是A，所以在A类中找show（C）方法，没有找到，于是到了this.show(super C),C的超类是B，所以在B类中找show(B)f方法，找到了，所以执行B类中的show（B）方法输出B and B；</p>
<p>对于第九题：</p>
<p>b是B类的一个实例化对象，首相执行this.show(D)，在B类里面找show（D）方法，没有找到，于是到了super.show(D),B的超类是A类，所以在A类里面找show（D）方法，找到了，输出A and D；</p>
<p>这是我看过网上的题目之后总结出来的方法，希望对大家有好处。</p>
<p>感谢阅读，希望能帮助到大家，谢谢大家对本站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                多态性<br />
                    ，                java多态性详解<br />
                                    java多态性面试<br />
                                    java常见面试题、java常见算法面试题、java常见的面试题、java常见面试题汇总、javaweb常见面试题，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 19:54:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/java%e5%a4%9a%e6%80%81%e6%80%a7%e9%9d%a2%e8%af%95/" title="java多态性面试">java多态性面试</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e6%80%81%e6%80%a7/" title="多态性">多态性</a>, <a href="https://www.iamivan.net/tag/java%e5%a4%9a%e6%80%81%e6%80%a7%e8%af%a6%e8%a7%a3/" title="java多态性详解">java多态性详解</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java 多态性详解及常见面试题_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8keEPM.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaSE常见面试题（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]本人刚学习Java时总结的一些JavaSE常见面试题,偶尔在电脑中翻出,重新整理一下分享给需要的人,主要针对初级程序员.想要PDF完整版下载的,评论里留言留下你的邮箱! 1.一个&quot;.java&quot;源文件中是否可以包括多个类(不是内部类)?有什么限制? 答:可以有多个类,但只能有一个public的类,并且pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNj3gJM.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaEE常见面试题（五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]个人结合诸多资料,总结的一些JavaEE常见面试题,主要针对初/中级程序员.想要word完整版下载的,评论里留言留下你的邮箱! 51.事务的特性? 答:①原子性(Atomicity)  指事务是一个不可分割的工作单位,事务中的操作要么全都发生,要么全不发生: ②一致性(Consistency)  事务前后数据的完成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW32mp.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaEE常见面试题（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]个人结合诸多资料,总结的一些JavaEE常见面试题,主要针对初/中级程序员.想要word完整版下载的,评论里留言留下你的邮箱! 16.请写出hibernate中主键生成策略? 答:①increment:适用于short,int,long作为主键.不是使用的数据库自动增长机制. * Hibernate中提供的一种增长			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6RO3M.html" rel="bookmark">Java技术&lowbar;基础技术&lpar;0003&rpar;&lowbar;类执行顺序详解&plus;实例&lpar;阿里面试题&rpar;&plus;详细讲解&plus;流程图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java技术_基础技术(0001)_后台模拟调用action Java技术_基础技术(0002)_中间件启动class加载顺序(以tomcat为例) Java技术_基础技术(0003)_类执行顺序详解+实例(阿里面试题)+详细讲解+流程图 Java技术_基础技术(0004)_eclipse远程调试tomcat 基础技术: 对于java类各个成员的执行顺序,现拿出阿里的面试题作为样例(例子非常好,是用心出的题),在这里重新说明一下java类执行顺序的原则. 源码下载(包含题.结果.分析过程) 一.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR4OVz.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaSE常见面试题（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]本人刚学习Java时总结的一些JavaSE常见面试题,偶尔在电脑中翻出,重新整理一下分享给需要的人,主要针对初级程序员.想要PDF完整版下载的,评论里留言留下你的邮箱! 41..比较一下Java和JavaSciprt? 答:其实Java和JavaScript最重要的区别是一个是静态语言,一个是动态语言: (1)基于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrEArM.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaSE常见面试题（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]本人刚学习Java时总结的一些JavaSE常见面试题,偶尔在电脑中翻出,重新整理一下分享给需要的人,主要针对初级程序员.想要PDF完整版下载的,评论里留言留下你的邮箱! 21.在Java中,如何跳出当前的多重嵌套循环?  答:在最外层循环前加一个标记如A,然后用break A;可以跳出多重循环.(Java中支持带标			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRrljz.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaSE常见面试题（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]本人刚学习Java时总结的一些JavaSE常见面试题,偶尔在电脑中翻出,重新整理一下分享给需要的人,主要针对初级程序员.想要PDF完整版下载的,评论里留言留下你的邮箱! 61.同步代码块与同步函数的区别? 答:(1)同步代码块:位置比较灵活,锁对象可以任意对象,但必须是同一对象.格式:              			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRnEOb.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaEE常见面试题（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]个人结合诸多资料,总结的一些JavaEE常见面试题,主要针对初/中级程序员.想要word完整版下载的,评论里留言留下你的邮箱! 31.Spring中的BeanFactory和ApplicationContext有什么联系? 答:①Spring通过配置文件描述Bean以及Bean之间的依赖关系,利用Java的反射机制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDYO3z.html" rel="bookmark">【JAVA秒会技术之秒杀面试官】JavaEE常见面试题（六）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]别人都在你看不到的地方暗自努力,在你看得到的地方,他们也和你一样显得游手好闲,和你一样会抱怨,而只有你自己相信这些都是真的,最后,也只有你一个人继续不思进取 --   [下载]个人结合诸多资料,总结的一些JavaEE常见面试题,主要针对初/中级程序员.想要word完整版下载的,评论里留言留下你的邮箱! 62.谈一谈你对Mybatis的理解? MyBatis 本是apache的一个开源项目iBatis, 2010年这个项目由apache software foundation 迁移到了go			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b32KNz.html" rel="bookmark" class="title">手机搜索淘宝显示距离和位置是怎样设置的，求高人弄下IP，价格商谈</a>
					<div>
						问题描述 手机搜索淘宝显示距离和位置是怎样设置的,求高人弄下IP,价格商谈 手机搜索淘宝显示距离和位置是怎样设置的,如图 这个怎样弄,求高人帮忙,加微信 18130209097,邮件,zhuyanho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdEg4z.html" rel="bookmark" class="title">京东8&period;8收益怎么样？</a>
					<div>
						  京东金融宣传页面显示,该产品主打亮点是8.8%的固定年化支付率,对接的是国泰安康养老定期支付混合型证券投资基金,将于4月15日正式开售. &quot;在此,需要着重指出的是,8.8%指'2014年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boOmdb.html" rel="bookmark" class="title">Win8&period;1系统怎么关闭图片缩略图预览</a>
					<div>
						  Win8.1系统怎么关闭图片缩略图预览 1.设置为小图标查看方式(右键点击文件夹空白的地方,选择查看-小图标); 这样的方法可以单独给每个文件夹设置.也是比较方便的. 2.关闭所有文件夹缩略图预览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrjk4M.html" rel="bookmark" class="title">浅谈新站应避免的错误SEO手法</a>
					<div>
						大家好!我是虾米,一个名普通的站长,也是一个名副其实的菜鸟SEOer,本文将要谈论的主题是:新站应该如何规避一些错误的SEO手法,以正确的.高效的方式准备好迎接搜索引擎对站点的收录.下面进入正题,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr626M.html" rel="bookmark" class="title">百度竞价推广账户优化技巧 如何提高关键词质量度</a>
					<div>
						做百度竞价的企业越来越多了,相关数据显示目前百度的竞价客户已经超过四十万家,不得不说百度很牛啊.做百度竞价的企业很多也尝到了甜头,赚到了钱,但那都是少数懂得技巧的企业;多数没挣到钱的企业还在不懂和摸索 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnXBKz.html" rel="bookmark" class="title">Delphi中区域设置 ID &lpar;LCID&rpar; 表&comma; 及获取方法</a>
					<div>
						中国的区域设置 ID 是 2052, 如果经常打开微软软件的安装目录应该经常见到. 获取很简单, 有现成的 API 函数: GetThreadLocale. begin ShowMessage(Int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RjKxp.html" rel="bookmark" class="title">移植php5到arm linux遇到的问题</a>
					<div>
						主要的问题是,我这里需要给php写动态扩展库,而当我移植完之后,phpinfo显示: 引用 standard Dynamic Library support not available 这样的话,我写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91dkdM.html" rel="bookmark" class="title">模式实践：观察者模式与Spring</a>
					<div>
						公司的项目告一段落,最近在进行RUP培训项目,有了些空闲的时间.闲暇浏览TheServerSide时,看到一篇名叫&lt;Spring loaded Observer Pattern&gt;的文章,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze45P9p.html" rel="bookmark" class="title">wps文字怎样插入在线图片</a>
					<div>
						  在wps文字中插入在线图片的方法: 打开WPS文字这款办公软件,进入WPS文字的操作界面,如图所示: 在该界面下,找到上面的菜单栏,在菜单栏里找到插入菜单,如图所示: 点击插入菜单,进入插入菜单的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AJZ7p.html" rel="bookmark" class="title">PS制作简洁3D立体文字效果的简单教程</a>
					<div>
						教程我们学习如何用photoshop打造3D高光立体字效,先看效果图 photoshop教程新建文档224x206像素,背景白色,输入黑色文字 添加图层样式 复制一层,右侧挪动一段距离,修改图层样式, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAl96b.html" rel="bookmark" class="title">善用Win7家长控制 解决孩子上网无节制</a>
					<div>
						给孩子配置了电脑,本是希望能够让孩子的学习得到提高,但也可能适得其反,有些孩子过度沉迷于网络无法约束,甚至影响了身体健康.善用Win7系统内置家长控制功能,不仅可以限制孩子使用计算机的时间,还可以限制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElw5Az.html" rel="bookmark" class="title">网速慢的原因及解决方法</a>
					<div>
						现在用电脑的人越来越多,网速成了一个比较让人在意的话题,尤其是看电视一卡一卡的时候,让人想要砸电脑,在这里给大家分享一下网速慢的解决方法. 出现电脑网速慢的一般原因主要有:一个是宽带,另外一个是电脑问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN152Wb.html" rel="bookmark" class="title">USB-HDD和USB-ZIP模式的区别</a>
					<div>
						软驱(USB-FDD)/ 大软驱(USB-ZIP)/ 硬盘(USB-HDD) USB-HDD U盘模拟成硬盘模式,兼容性很高. USB-ZIP U盘模拟成zip驱动器模式, USB-FDD U盘模拟成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YdqZM.html" rel="bookmark" class="title">不让苹果开发者账号折磨我</a>
					<div>
						在iOS开发过程中,不可避免的要和证书打交道,真机调试.App上架.打包给测试去测试等都需要搞证书.在此过程中我们会遇到很多的问题,但是如果掌握了真机调试的原理和本质:遇到问题,我们就更容易定位问题之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWgy1p.html" rel="bookmark" class="title">strlen-C程序运行失败，求教什么原因</a>
					<div>
						问题描述 C程序运行失败,求教什么原因 #include &quot;stdio.h&quot; #include main() { char *s=&quot;abc&quot;; int i,j; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Aj53z.html" rel="bookmark" class="title">mysql-MySQL字符编码问题求解</a>
					<div>
						问题描述 MySQL字符编码问题求解 首先表的创建语句如下: create table teacher(id int primary key auto_increment,name varchar(4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXgOmz.html" rel="bookmark" class="title">oracle迁移postgres之-Ora2Pg</a>
					<div>
						描述 Ora2Pg:甲骨文PostgreSQL数据库模式转换器是一个免费的工具用于Oracle数据库迁移到PostgreSQL兼容模式.它连接Oracle数据库,扫描它自动提取其结构或数据,然后生成S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY3Kjp.html" rel="bookmark" class="title">如何成为QTP专家</a>
					<div>
						关键字:QTP 自动化测试 专家地址:http://www.cnblogs.com/txw1958/archive/2012/11/20/how-to-become-qtp-guru.html   W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY8QBp.html" rel="bookmark" class="title">实现定时启动程序</a>
					<div>
						问题描述 本人想用c#来实现一个定时启动应用程序,放在服务器端,该定时启动应用程序用以完成数据表中数据的编辑操作.请高手给指点一下,最好有参考的代码.谢谢!!!! 解决方案 解决方案二:用作业可以解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRg27b.html" rel="bookmark" class="title">物联网五大致命伤与三个驱动力解析</a>
					<div>
						今天物联网(IoT,原意&quot;万物互联&quot;)已经成为最热门的科技趋势和话题,分析师们纷纷预测物联网将成为一个数万亿级的新兴市场,而从GE这样的行业巨头到大大小小的互联网公司则争先恐后将自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodRW3M.html" rel="bookmark" class="title">RDLC报表 在WinForm里运行出现 未能加载文件或程序集 Microsoft&period;ReportViewer&period;WinForms&comma; Version&equals;11&period;0&period;0&period;0 System&period;IO&period;FileNotFoundException</a>
					<div>
						原文:RDLC报表 在WinForm里运行出现 未能加载文件或程序集microsoft.reportviewer.winforms 推荐以下方案二 做一下记录顺便帮助一下遇到问题的朋友. 做RDLC报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLV7RM.html" rel="bookmark" class="title">z-index-bootstrap 堆叠顺序的问题</a>
					<div>
						问题描述 bootstrap 堆叠顺序的问题 请看下面的图片可以看到&quot;系统管理&quot;的下拉菜单被文本输入框挡住了.无论我把下拉菜单的z-index设置为多大,始终会被挡住.这该怎么解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBjX5z.html" rel="bookmark" class="title">《jQuery Mobile入门经典》&mdash;&mdash; 2&period;7　练习</a>
					<div>
						2.7 练习 jQuery Mobile入门经典 1．写一个类似于程序清单2.8的包含单击事件的简单的网页,并改变当单击触发时要发生的事情. 2．使用HTML5文档类型创建一个网页,并添加一些元素和基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqmNDp.html" rel="bookmark" class="title">Cognos Report Studio是需要安装哪个模块的功能</a>
					<div>
						问题描述 最近要求学Cognos,网上搜索看到很多网友说做报表有好几个模块.比如ReportStudio,Impromptu(说也是单独的报表设计工具,详见P11),CognosReportNetSe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodXOvM.html" rel="bookmark" class="title">关于JAVA指令</a>
					<div>
						问题描述 我如何用JAVA指令关闭JAVA进程?用jps指令能看到当前机器的所有JAVA进程在运行,那么如何用指令把它们关闭,或者关闭指定某一个?谢谢大家为我解答 解决方案 解决方案二:kill解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7ZNRz.html" rel="bookmark" class="title">从数据库获取下拉列表框的值</a>
					<div>
						问题描述 jsp中下拉列表框里的值想从数据库中某一列获取(列中相同的值只取一个),怎么实现啊?数据库为SQL 解决方案 &lt;select name=&quot;STAY_PLACE&quot; s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQ98z.html" rel="bookmark" class="title">基于jQuery UI CSS Framework开发Widget的经验&lowbar;jquery</a>
					<div>
						jQuery UI中两大核心的css文件是ui.core.css和ui.theme.css.这两个css样式贯穿整个基于jQuery ui的界面上,并且可以通过jQuery ui ThemeRolle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkwYez.html" rel="bookmark" class="title">GitHub入门教程 手把手教你最简单的开源项目托管&lowbar;相关技巧</a>
					<div>
						自从google code关闭了下载服务了之后,GitHub作为了目前最好用的免费开源项目托管站点,众多开源项目都托管在github,其中不乏著名的播放器MPC-HC. 不习惯于英文的朋友,难免少不了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7VmBb.html" rel="bookmark" class="title">用VBS写了一个获取下载文件的时间</a>
					<div>
						代码如下: set xc=CreateObject(&quot;microsoft.xmlhttp&quot;) xc.open &quot;get&quot;,&quot;http://www.so ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NgDDz.html" rel="bookmark" class="title">JS&plus;CSS实现Li列表隔行换色效果的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS+CSS实现Li列表隔行换色效果的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C// ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
